Before You Start

Welcome to use UltraPrint RIP!
UltraPrint RIP is a software for image editing, nesting and output of Hosonsoft Inc. It is mostly working for pre-processing for digital image output - image RIP ( Raster Image Processor). The professional output flow is customized for outdoor large inkjet printers and indoor portrait printers in this software. Your work will be more easier and the effect of image output will be more perfect if you use our UltraPrint RIP to output professional image.

 Copyright© 2004-2006 Hosonsoft System Inc.


UltraPrint software introduction guide

You can learn the operation of UltraPrint from the following content and can use it. You can view next chapter named operation which there have the detailed operation guidance after you have some use experience.

1.      Start UltraPrint software

2.      The usage of the each regions in the software interface

3.      New-build a canvas project

4.      Open a canvas project

5.      Save a canvas project

6.      Add the preparing image file to the canvas

7.      Adjust the display proportion and scale units of the canvas

8.      Print the preparing canvas

9.      Exit UltraPrint software

10.     The flow procedures of UltraPrint

   Copyright© 2004-2006 Hosonsoft System Inc.


Start UltraPrint

2.1 Start UltraPrint

Start UltraPrint has three methods, you can select a methods according to actual.

1.  Double click the icon of UltraPrint on the desktop.

2.  Click the start menu, [image] and select the program menu item, then enter UltraPrint and click UltraPrint.

3.  Double click the canvas item file in the resources management.

 NOTES:

  • If you have bought the principal edition of UltraPrint,please the accessional dongle in the software insert your computer.
  • Suggest that close the unused software before to start because the UltraPrint needs a large of memory when it prints.
  • If you don't select the desktop icon when you install, you can choose the others.


The usage of the each regions in the software interface

2.2 The usage of the each regions in the software interface

The software interface divide into six function regions. There are menu, toolbar, ruler, canvas, outer canvas, information region.

Please see the position in the following picture.

1.  Menu: All function items of UltraPrint are saved in the menu, including to new-build canvas, to add image, to print etc. You can complete all kinds of operations by menu.

2.  Toolbar: Toolbar is that the usual operation items are made the shortcut icons. The shortcut icons use conveniently and their functions are the same as menu.

3.  Ruler: Show the actual size and place of the canvas and the image, the UltraPrint software installs the ruler, including the horizontal and vertical rulers. The canvas and image size and their places can help you to finish the make-ready by the ruler scale. There are six kinds of scales: inch, millimeter, centimeter, meter, pica and point. You can set the corresponding scale to select. (The method of settings scales is to click the right button and select the scale unit you need in the pop-up menu.)

4.  Inside canvas: When you set up a canvas project, UltraPrint will show a rectangular frame with black rim. The rectangular frame names canvas, and inner region names inside canvas. You can regard the frame as the real canvas, and the following operation will perform in the canvas, such as to add the image and to move the image etc.

5.  Outer canvas: the outside region of the canvas names outer canvas in the software interface. These regions don't belong to the operation regions. If you place the image on the outer canvas, the message will clue to you when it prints.

6.  Information region: the region will provide all kinds of messages of current software in due course, such as menu and usage of toolbar button, numbers of the canvas, image name, cursor current position and ruler etc. These information will help you complete all kinds of operations when the software run.

 NOTES:

  • The functions usages of menu, toolbar and message region can view the corresponding function introductions.
  • When the software run, the operations can be completed by clicking the right button to pop-up the shortcut menu.


New-build canvas project

2.3 New-build canvas project

    What's canvas project? It is a file that records the printing task. Such as, to start UltraPrint to new-build a canvas before to print a ad scroll for the client.

When you have finished the printer settings and the canvas settings ,click the new-build operation [image]  button of the toolbar or the new canvas operation item of the file menu, and a canvas of appointed size will be built. The ruler and the rectangular frame with black rim will see on the software interface after canvas has built, such as the figure. The rectangular frame is a canvas and the following operations are processing inside.

  NOTES:

  • Program will suggest you to save the canvas if you have changed the canvas project when carrying out the order of new-build canvas. You can decide whether saving it.


Open a canvas

2.4 Open a canvas

Click the button of open canvas [image]  or to open canvas menu item of file, and to do read-in the saving file of canvases. The suffix name of files is '.rpj'.

The program will auto-load the saved status, including canvas size, displaying unit, displaying proportion, displaying pattern, image number and image status etc. Open the corresponding canvas project when you do double click a canvas project file.


Save a canvas project

2.5 Save a canvas project

Save the canvas file when you have edited it. Click the button of to save canvas of the toolbar, the dialog box [image]  of to save file will be opened, such as the following figure.

The default of saving route of UltraPrint is the RipProject document under the program Settings list.

 NOTES:

  • Save as of the canvas project file is same.
  • Whether save the changed canvas when the canvas has be carried out, such as new-built or closed on the opened canvas. Suggest you save it because the parameters of printing mission shall save, such as print parameter, canvas size, canvas number and situation etc. When you print again, the program will auto-load the corresponding messages only you open the saved canvas. You can edit it again or print direct it. It can save your time and improve work efficiency.
  • In the same print task, if you have saved the canvas file, to press the save button again, the dialog box can't pop up again and it will save the file by the last set file.


Add image

2.6 Add image

Set the printing image on the canvas after set canvas and it is named 'Add image'. Click 'Add image'  [image] in order to affirm the image that you want to add. The following dialog will appear.

    Select the image you want to add and the canvas will set on the canvas. The following figure will appear in the rectangular frame of the canvas.

     (View Filled mode)

     (View Outlines mode)

    UltraPrint The two display modes will be provided according to you select and the different display results will be displayed.

 NOTES:

  • If you want to print the same multi images, you can use the function that is 'copy-paste-Step & Repeat'. The method is faster than add an image again and again.
  • When the width and height of an image overtops the canvas, the printing operation will be unsuccessful. You can adjust 'out size' of image or divide image when it appears。


Adjust the displaying size and the ruler unit

2.7 Adjust the displaying size and the ruler unit

Because the computer screen is limiting, you can see the panorama of the canvas when a canvas is set. You need adjust the screen display proportion of the big canvas. The following content will describe how to adjust.

l Adjust the display proportion

1.  Click 'zoom in' [image]  or 'zoom out' [image]   of the toolbar, the display size of the current canvas will be zoomed in or zoomed out.

2.  Click [image]  、 [image]   of the toolbar, they are corresponding with 'fit width', 'fit height', the display proportion of the current canvas will be adjusted one of three display status.

3.  You can select the scheduled display size by clicking the down frame of the toolbar, or writing the proportion you want then enter. You can select the proportion in 'zoom' menu too.

l Adjust the ruler unit

Click the right button, the following menu will display.

You can select the corresponding unit of rulers. You can finish the same operation in 'View' menu.

l Ruler display/hide

You can display/hide the ruler by 'Ruler View' of 'View'.

 NOTES:

  • If you set the attribute of rulers to hide, the ruler size and the display proportion don't adjust.


Print the canvas

2.8 Print the canvas

You can print the canvas when it has been finished. Click 'print' [image] in the toolbar, or in the 'file', then the dialog frame with the guage bar will appear. The bar shows the current print guage. When 100% has been reached, the printing finishes, such as the following figure.

When print to net port, the indication of progress is as follows:

    The parameters of progress need to be explained: 0B /849KB ： 100% The 0B shows the number of data that has send to net port. The 849KB shows the number of data that has RIP, and 100% the percent of which has RIP. In addition, user can pause printing when printing to net port. The pause button will change into continue button after click and pause printing by program. When click again the program can continue printing and the button is changed into pause status.

You can click 'cancel' under the guage bar if you want to stop to print. The ensuring dialog will appear, such as the following figure.

The interface is closed and the print operation exit If you click 'Yes'. Otherwise the operation will continue if you click 'No'.

 NOTES:

  • UltraPrint will check if the canvas exceed the canvas borderline before printing. If it exceeds, the operation will stop.
  • The place and name of saving file can be set in the 'output settings' if the print output is the file format.
  • The print time is correlative to the canvas width. Bigger image longer time.
  • The print time is correlative to the memory. Bigger memory shorter time.


Exit UltraPrint

2.9 Exit UltraPrint

You can exit by clicking the 'close' on the top right corner of UltraPrint. And you can click the 'exit' [image] of the 'file 'menu to exit.

 NOTES:

  • If you close the current canvas that you will be reminded if the canvas need be saved. If you want please to click 'OK' and the dialog will appear that please to input a file name, then ensure it. If click 'no', the canvas can't be saved. But to save the canvas will help you in the following work.


UltraPrint operation flow

2.10 UltraPrint operation flow

The example will be given that can explain the operation process. If a canvas, that the file has been finished by PhotoShop and been saved in the dish as the file name-'a.tif', need to be printed, that its size is 2.4*2.0 meter.

1.      The dongle insert the computer then start up the UltraPrint.

2.      Open 'file' menu, and click 'print Settings' or press Shift+P to finish 'Print Settings'.

3.      Open 'file' menu, and click 'canvas Settings' or press Shift+C to finish 'Canvas Settings'.

4.      Click 'new-build' [image] n toolbar or 'new-build canvas' in 'file' menu to build a new canvas.

5.    Add the 'a.tif' file in the canvas after the canvas has been built. If it succeed you will see the icon in the canvas.

6.      Set the output image size.If the canvas has several images you need finish the image make-ready.

7.      You can print the image after make-ready. Click 'print' [image]   in the toolbar then print start. The print time is correlative to the image size. You can know the current state by the print guage and you can stop printing.

8.      At last, you can exit UltraPrint or new-build a canvas to repeat these operations.

The usages have introduced. With your use you can find some technique. And you can read the following chapters to know how to use all functions of UltraPrint.

 NOTES:

  • The correlative parameters of the Settings between print and canvas will be saved automatically. If the next use parameters don't vary, the two steps can pass over.
  • The images want to be ensured inside the canvas after make-ready, unless UltraPrint will reject print.
  • If print start, the memory will be occupied largely. If your memory is too small, the print time will be longer.


UltraPrint software menu / toolbar

The usage of the UltraPrint software:

1.      File menu

2.      Edit menu

3.      View menu

4.      Setup menu

5.      Help menu

6.      Edit toolbar

7.      Zoom toolbar

8.     Nesting toolbar

 Copyright© 2004-2006 Hosonsoft System Inc.


File menu

3.1 File menu

Click file(F) or ALT+F of the menu, the file menu include the following function:

l New:

Its function is to rebuild a new canvas. The operation means: click the new canvas [image]   in the corresponding edit toolbar.

l Open:

    UltraPrintIts function is to open a existing canvas file(*rpj). Only one file can open once. The operation means: click the open canvas [image]  in the corresponding edit toolbar.

l Save:

the function is to save the name and path of the open file. Save the first file, UltraPrint will display the dialog box of the save, and the default path is the Settings output path, and the default name is 'yy-mm-dd.rpj'. You can rename the file. If you want change the path, please choose the 'save as'. click the save canvas [image] in the corresponding edit toolbar can finish it.

l Save as:

The function is to save the current file with a new file. Can rename the file name and path, and save the new file name and path. If you want to save the current name an path, please use to the 'save' command. The shortcut key: CTRL+SHIFT+S.

l Close:

The function is to close a open file. The dialog will display when you click 'close canvas'. If you don't save it, the data will lose behind the last saved file.

l Print:

The function is to start the print operation of the canvas. Then pop up the dialog of the print schedule, you can click the 'cancel' button to stop it. Click the print canvas [image]  in the corresponding edit toolbar to print it.

l Printer Setup:

The function is to start the printer setup. The shortcut key: SHIFT+P.

l Canvas Setup:

‘The function is to start the canvas setup. The shortcut key: SHIFT+C.

l Recent file:

The function is to open the lately file. Select the file name you want to open, and click, then open it.

l Exit:

The function is to exit the software.


Edit menu

3.2 Edit menu

Click Edit(E)or Alt+E of the menu, the edit menu include the following function:

l Undo:

The function is to undo the last edit. UltraPrint can undo time after time, but the times are not uniform. Repeat 'undo', undo the latest command. The redo command can renew the undo command. If the undo command has been carried out and a new operation has been carried out, the foregoing content cannot redo. Click the 'undo' [image] command in the corresponding edit toolbar to finish it. The shortcut key: CTRL+Z.

l Redo:

The function renews the content after undo is carried out. If the undo command has been carried out and a new operation has been carried out, the foregoing content cannot redo. Click the 'redo' [image] command in the corresponding edit toolbar to finish it. The shortcut key: CTRL+Y.

l Remove all

The function can delete all images in the file. Click the 'Remove all' command in the corresponding edit toolbar to finish it. The shortcut key: CTRL+D.

l Copy:

The function can copy the selected image. Click the 'copy' [image] command in the corresponding edit toolbar to finish it. The shortcut key: CTRL+C.

l Paste:

The function can paste the copy image into the file. Click the 'paste' [image] command in the corresponding edit toolbar to finish it. The shortcut key: CTRL+Z.

l Step & Repeat:

The function can Step & Repeat the multi-images that have copied. Click the 'Step & Repeat' [image] command in the corresponding edit toolbar to finish it. The shortcut key: CTRL+T.

l Rotate:

The function can rotate the selected image by your want. The degrees include 180 degree, clockwise 90 degree, anti-clockwise 90 degree, level turn, vertical rurn. Please consult the rotate and mirror operation.

l Sample:

Please consult the order a sample operation in chapter 2.8. The shortcut key: SHIFT+S.

l Tile:

Please consult the tile image operation in chapter 2.7. The shortcut key: SHIFT+D.

l Output size:

Please consult the output size operation in chapter 2.6. The shortcut key: SHIFT+O.


View menu

3.3 View menu

Click View(V) or ALT+V of the menu, the view menu include the following function:

l View Outlines:

The function can use pane replace image to display. Operate it, image is replaced by a pane. The edit rate can be enhanced, and save system consuming.

l View Filled:

The function can show an image according as the actual image.

l Canvas toolbar:

The function show or hide edit toolbar. Be checked to display edit toolbar.

l Zoom toolbar:

The function show or hide zoom toolbar. Be checked to display zoom toolbar.

l Nesting toolbar:

The function show or hide nesting toolbar. Be checked to display nesting toolbar.

l Ruler view:

The function show or hide canvas ruler. Be checked to display canvas ruler.

l Ruler unit:

The function open the option to set the selected unit of the ruler. The operation will readjust ruler scale unit.

l Image info:

The function can view the selected image information, only when the image is selected.

l Canvas info:

The function can view the current canvas information.

l Status bar:

The function can show or hide the system status bar. Be selected to display system status bar.


Setup menu

3.4 Setup menu

Click Setup(S) or ALT+S of the menu, the setup menu include the following function:

l Option:

Option is the Settings option of start-up software. The option include Exportation, error margin compensate, hint information, high class


Help

3.5 Help menu

Click Help(H) or ALT+H of the menu, the help menu include the following function:

l Help:

It is used to open the help document. The shortcut key is F1

l Online hosonsoft:

Online Hosonsoft can visit the homepage of the Hosonsoft firm to get more help info and software latest info.

l Hosonsoft bbs:

It can visit the user bbs. Communion and discuss the use skill and consult the problem in using.

l Contact us:

You can mail the your problem or opinion to us, and we will reply at the first time.

l About UltraPrint:

It displays the edition and grant info of the software.


Canvas toolbar

3.6 Edit toolbar

Show or hide edit toolbar. The edit toolbar include the following function:

new | new a canvas project
open | open an existent canvas project
save | save the current canvas project
print | print the current canvas project
add image | add an image into a canvas
delete image | delete the selected image
undo | undo an effective operation
redo | redo an undo operation
copy | copy the selected image to the system clipboard
paste | paste the copy image to canvas
paste image | paste multi-images to Step & Repeat
rotate image | rotate image to clockwise 90 degree


Zoom toolbar

3.7 Zoom toolbar

Show or hide zoom toolbar. The zoom toolbar include the following function:

zoom scale | choose the zoom scale that pro-define or custom of the canvas
zoom in | zoom in the current canvas
zoom out | zoom out the current canvas
fit width | show the canvas according as the current screen width.
fit height | show the canvas according as the current screen high


Nesting toolbar

3.8 Nesting toolbar

Show or hide nesting toolbar. The nesting toolbar include the following function.

align left | make left verges of active images align
align right | make right verges of active images align
align top | make top verges of active images align
align bottom | make bottom verges of active images align
center horizontal | position selected images to center horizontal
center vertical | position selected images to center vertical
same width | make images width even
same high | make images high even
same size | the width and height of selected image is equal to the width and height of the activation image
space across | nesting images from left to right according to the horizontal space.
space down | nesting images from top to bottom according to the vertical space.


UltraPrint operating guide

The detailed operating guide of UltraPrint:

1.      Undo and redo

2.      Select image

3.      Delete

4.      Copy, paste or Step & Repeat

5.      Rotation , mirror image

6.      Output size

7.      Tile image

8.      Order sample

9.      Nesting image

10.    Adjust density curve

11.    Single adjust

12.    View image or canvas info

  Copyright© 2004-2006 Hosonsoft System Inc.


Undo and redo

The effective operation has a backup. If you want to come back the fore state, click 'undo' [image] in the toolbar or in the 'edit' menu. You can operate continuously until the state is you want.

If you want to get back the next state after you carry out 'undo', click 'redo' [image] ， in the toolbar or in the 'edit' menu. You can operate continuously until the state is you want.

 NOTES:

  • The effective steps are limited that the total is 60.


Select image

l Select a image

Click the image you want by the left button of mouse, the image is selected.

l Select multi-images

Click the left button in the blank around these images, do not loose and press the mouse left button to move the mouse until a rectangular dashed frame appear. The icon in the frame is selected.

l   Select all images in the canvas

Click 'all select' in 'edit' menu, the all images will be selected.

l   Change activation image

In the selected images, only one is the activation image. Press 'Ctrl' to plus the image that is selected by the left button, the activation image is exchange.

l Deselect image:

You can deselect the image by pressing Shift button and selecting it by left button of mouse. The current image will be marked as non-selected status. If you click left button in the area of canvas without image, the all image of canvas will be marked as non-selected status.

 NOTES:

  • There are three states: general, selected and activation.


Delete image

l Delete a image:

Click the image you want by the left button of mouse, the image is selected. Then click 'delete' [image]  in the toolbar or in 'edit' menu, delete an image can be finished.

l Delete some images:

Select these images you want, then click 'delete' [image]  in the toolbar or in 'edit' menu, delete these images can be finished.

l Delete all images:

Click 'delete all images' in the 'edit' menu, all images in the canvas will be deleted.


Copy, paste or Step & Repeat

l Copy image:

Click 'copy' [image] in the toolbar or in 'edit' menu, and select the image you want. The image can be finished to copy.

l Paste :

You can paste an image to the canvas after the image has been copied. Click 'paste' [image]   in the toolbar or in 'edit' menu, and the image can be finished to paste.

l Step & Repeat:

If you want to paste the same image after you finish to copy, you can finish by paste. Click 'paste' [image]  in the toolbar or in 'edit' menu, the dialog will appear:

You need set these parameters.

1. The number you want. If you select the whole canvas, the canvas will be pasted images until the canvas has not any space.

2.The horizontal and vertical space you want. You can select the measures length unit that you want. UltraPrint provide inch, millimeter, centimeter, meter, pica, point etc.

3.Nesting source image. If you check it, the source image will be nesting.

Click 'OK' after set these parameters. That you have selected the manner will be carried out.

 NOTES:

  • Press Alt and at the same time move the image, the copy can be finished.
  • You can copy many different images, but Step & Repeat function is effectual when you copy the same image.
  • Have not room enough when Step & Repeat carries out, the prompt for voice will appear.


Rotation , mirror image

l Rotation image:

Select the image you want and click 'rotation' [image]  in the toolbar or in 'edit' menu. In 'edit' menu, the choice has 180 degree, 90 degree clockwise and 90 degree anticlockwise. The image can be finished to rotation.

l Mirror image:

Select the image you want and click 'rotation' in the toolbar or in 'edit' menu. The image can be finished to rotation.

 NOTES:

  • The mirror image is carried out when the canvas is the rectangular frame display mode. The operation carries out according to the change of the rectangular frame color. The sky-blue is the mirror and the rosiness is not.


Output size

4.6 Output size

If you want to set the output and size of canvas, you can finish the following Settings.

Select the image you want and click 'output'in 'edit' menu. The dialog will appear:

Set the place of canvas and the size of the image. You can select the measures length unit that you want. UltraPrint provide inch, millimeter, centimeter, meter, PA, dot etc.

The constrain proportion can be checked when you set the image size. If you check it, the output proportion of width and height you select is as same as the primal input. It is the default.

Otherwise, the rough output size can adjust by the of mouse action.

Select the image you want to adjust, and the mouse moves on an icon of an image, the mouse will become the drag-and-drop, ( [image] 、 [image] 、 [image] 、 [image] )and you press the left button of mouse to set the size. In the step if you press Ctrl or Shift key the width and height of the image will zoom as constrain proportion.

 NOTES:

  • The operation is effective when only one image is selected.


Tile image

4.7 Tile image

You can rotation the image if the output image oversteps the canvas. If there is still overstep, you must tile the image to print.

Select the image you want and click 'tile' in 'edit' menu. The dialog will appear:

The validity of the transverse and lengthways divided Settings will auto-judge at the startup.

The default of the transverse divided Settings is the difference between the width and transverse blank. The default width of overlap is 2 cm. You can define the width of the first transverse divided module.

The default of the lengthways divided Settings is the difference between the height and lengthways blank. The default height of overlap is 2 cm. You can define the height of the first lengthways divided module.

Certainly you can modify splitting parameter value according to your splitting purpose. The width and height of image to be split and the current canvas is shown at the top of the splitting setup box, so you can setup it refer to these values. Some measurement units such as inch, millimeter, centimeter, meter and pixel are provided for your choice by UltraPrint in order to your can select the measurement units conveniently.

If you check 'auto nesting', the split image block will be nesting automatically as best materials saving nesting mode by program. Otherwise the program can only split the image.

Click 'OK' after Settings finish. The image finish to tile.

 NOTES:

  • Do not support to tile the mirror image.


Order sample

4.8 Order sample

If you want to see the output effect of the canvas before the canvas output, you can order a sample. Click 'Sample' in 'edit' menu. The dialog will appear:

Two samples are provided: check 'Region' or 'Zoom', you can select one by yourself. The order methods will be introduced.

l Region

Select 'Region', and the canvas has a region to output. If the left button is pressed in any position of canvas, a dashed rectangle box is shown with mouse moving. You can confirm the size of rectangle box as your purpose. Release left button, a red rectangle box is appended in canvas, the image in which is the little sample to be output. Before output, you can modify the size and position of this rectangle box using mouse. Modified completed, the sample will be output after clicked the print sample button in customizing little sample dialog.

l Zoom

Select 'Zoom', you can specify the width and height of the current canvas and the canvas is zoomed by your order. Click 'Print' and export sample.

 NOTES:

  • The image must be inside canvas otherwise the print is void.
  • RIP If the output part is file, the sample will export to the same list of RIP file.


Nesting image

4.9 Nesting image

If the canvas has an image you need nesting and output the canvas by saving material. UltraPrint has the following nestingting function.

l Align left:

'Align left' is that the left verge of selecting image is flush with the left verge of the activation image. Select two or above images, click 'Align left' [image]  of the nesting toolbar or 'nesting' menu, the operation finish.

l Align right:

'Align right' is that the right verge of selecting image is flush with the right verge of the activation image. Select two or above images, click 'Align right' [image]  of the nesting toolbar or 'nesting' menu, the operation finish.

l Align top:

'Align top' is that the top verge of selecting image is flush with the top verge of the activation image. Select two or above images, click 'Align top' [image]  of the nesting toolbar or 'nesting' menu, the operation finish.

l Align bottom:

'Align bottom' is that the bottom verge of selecting image is flush with the bottom verge of the activation image. Select two or above images, click 'Align bottom' [image]  of the nesting toolbar or 'nesting' menu, the operation finish.

l Center horizontally:

The center horizontal function is to locate the selected image in canvas as the center horizontal form. After selected one or more images, the selected image will be centered horizontally if you click [image]   button in nesting toolbox (or center horizontally menu item in nesting menu). The real position of the center image horizontally will be computed referenced many combined image if multi-image is selected for center horizontally.

l Center vertical:

The center vertical function is to locate the selected image in canvas as the center vertical form. After selected one or more images, the selected image will be centered vertically if you click [image]  button in nesting toolbox (or center vertically menu item in nesting menu). The real position of the center image vertically will be computed referenced many combined image if multi-image is selected for center vertically.

l Space across:

'space across' is that the images is nesting according to the space across from left to right. Select two or above images, click 'space across' [image]  of the nesting toolbar or 'nesting' menu, the operation finish.

l Space down:

'space down' is that the images is nesting according to the space down from top to bottom. Select two or above images, click 'space down' [image]  of the nesting toolbar or 'nesting' menu, the operation finish.

l Same width:

'same width' is that the width of selecting image is equal to the width of the activation image. Select two or above images, click 'same width' [image]  of the nesting toolbar or 'nesting' menu, the operation finish.

l Same height:

The same height function is to make the height of selected image equivalent with active image. After selected one or more images, the selected image will be height equivalently, if you click [image]  button in nesting toolbox (or 'same height' menu item in 'nesting' menu).

l Same size:

'same size' is that the width and height of selecting image is equal to the width and height of the activation image. Select two or above images, click 'same size' [image]  of the nesting toolbar or 'nesting'menu, the operation finish.

l Group:

The group function is to group many image without change of relative position. You can change the size, position and rotating status of all members and nesting them all as any method. The operation can done between two image or multi images.

l Ungroup:

The ungroup function is the retrorse function of group. The operation can only done for grouped image and one step for breaking. The ungroup image in group or group can restore the status that has not group. e.g. there is some group including a group and other free image to be ungroup. As a result a group and a free image will gotten by ungroup other than free multi-image.

 NOTES:

  • Except the operations of center horizontally and center vertical, other operations is based on the place and size of the activation image.


Single adjust

Open the dialog of Print affirmance and click 'Print', the dialog as follows:

click 'Ink adjust', the dialog as follows:

You can regulate ink quantity of all kinds of color.

Regulation method: drag the slide block of the color component, or press the direction key of keyboard to adjust the output value. And you can input the value on the right of the slide block, or adjust the output value by controlling the direction key.

Click 'OK' after finish to adjust, save and exit.

 NOTES:

  • The color quantity of ink on the interface is adjusted according to output color that the printer uses. UltraPrint holds out 10 kinds of color output at most: C,M,Y,K,Lc,Lm,Ly,Lk,Or,Gr.
  • The whole ink quantity affects the current ink of all color components. Suggest using the component regulation to ensure the output effect.


View image or canvas info

4.11 View image or canvas info

l View image info

Select the image you want, and click 'image info' in 'View' menu. The message box will appear:

In the box, the detail information of the image is appeared.

l View canvas info

Click 'image info' in 'edit' menu. The message box will appear:

In the box, the detail information of the canvas is appeared.

 NOTES:

  • Only select one image the image information is effective.


The related Settings of UltraPrint software

The following is the related Settings guide of UltraPrint:

1.      Printer Settings

2.      Canvas Settings

3.      Image Settings

4.      Output Settings

5.      ICC Profile Settings

6.      Color Settings

7.      Print Settings

8.      Cleaning Settings

9.      Correction Settings

 Copyright© 2004-2006 Hosonsoft System Inc.


Printer Settings

5.1 Printer Settings

Click the 'printer Settings' in the menu 'File', the programme will open a dialog box of the Printer Settings. The image as follows:

Under the default situations, there's a default printer 'Hoson-1' existed in the printer list, it's the printed driver of the programme which supports the output port of the file.

If there's no proper printer you demand in the printer list, you can add this printer by yourself. Click the button 'Add', the programme will open the dialog box of the printer adding. The image as follows:

Under the formal situation, if you've bought the UltraPrint , the software applier should have fulfilled the driver programme you want. There should be the printer you need in the list of many printer manufacturer, choose it and click 'Add' button, the newly added printer will occur in the printer list. And next ,you should finish the related settings of the printer.

Here you can setup the parameter of output distinguish ratio, ink combination, output port, etc. Some more detailed setup can be setup in port type setup. When selected some type of port, click setup button, the relevant setup box is popup. The common setup as follows:

File port setup box:

     Here you can setup the parameter of filename format, color order, extension, etc. at the moment of printing to file port.

Net port setup box:

    Here you can setup the parameter of IP address, port number, etc. at the moment of printing to net port. Setup finished, click ok button and exit. Now you have finished setup work of printer.

 NOTES:

  • On Settings the output distinguish rate, ink combination, port type of the printer, be sure to accord to the hardware of the printer, otherwise the output won't fit what you expect.


Canvas Settings

5.2 Canvas Settings

Click the 'Canvas Settings 'of the 'File' menu, the programme will open a dialog box of the Canvas Settings. The image as follows:

UltraPrint Here ,you can finish the related parameter Settings of the canvas size and side left. On Settings the related size, you can choose the measure unit you are accustomed to. UltraPrint offers many length unit such as inch, mm, cm, m ,pica, point etc. After Settings ,click the 'OK' button and exit. 。

 NOTES:

  • The initial width can not exceed the current width of printer. Please notice that the current width of printer is shown at the back of setup box.
  • You can select equidistant margin around center when setup canvas as blank margin, thus any one margin value will make the other equivalent automatically.
  • If you append a clean strip at the left (right) of canvas, the program will ignore the relevant blank margin when printing.


Image Settings

    Click the 'File menu' of the 'Print' menu ,the programme will open a dialog box of Print affirmance settings , selecting the 'Print' settings page ,the imageas follows:

    You can establish here related print of parameter:

    1.Medium: The choice prints at present need of lie quality.

    2.Resolution: Choose the accuracy that need when at present print.

    3.PASS: Choose to print the PASS needed a number at present.

    4.color: The color mode that choice need when at present print.

    5.Port: Here you can setup the parameter of output port. The relevant setup box is popup. The common setup as follows:

    Here you can setup the parameter of filename format, color order, extension, etc. at the moment of printing to file port.

Net port setup box:

    Here you can setup the parameter of IP address, port number, etc. at the moment of printing to net port. Setup finished, click ok button and exit. Now you have finished setup work of printer.

6Densty: The curve that choice need when at present print.

7.'Only show the cure that suits the current print mode': Only show the cure that suits the current print mode.

8.'Volid Region': The size which uses to check to print portrait.

9.'Options': Be merging the edition is valid.

10.'Ink Limited': Ink Limited setup box.

Here you can select the output ink of image. The adjust method of output ink is:

You can drag relevant slide box of color value or press direction key of keyboard to adjust the output ink to the value you expected. Of course the actual value will be input directly at the right of slide box, or press up and down direction keys. Adjust finished, you can click ok button, then save and exit.

Click default button, the heft of output ink will restored into default status.

    'Brightness' : Brightness setup box:

Adjust the value of 'Thin keypoint' and 'Thick keypoint', as adjusting brightness of output image.


Output Settings

5.4 Output Settings

Click the 'Option' of the 'Setup' menu ,the programme will open a dialog box of compositive settings , choose the 'Output' settings page ,the image as follows:

You can set the output's related parameter here:

1.File output directory, point the saving place of the printed file. Only available when the output port is the file port.

2.Temp file directory, point the position of the temp file while processing, the file will be deleted when the file exits.

3.Halftion, select the way to add the net of the image.4.Have the initiative class:The choice printed progress to have the initiative class when choice prints output.
4.Priority, select the priority of print course when print output

For the size of the print file is big, when Settings the output path of the file ,the rest space of the disk should be under consideration, you can click the 'disk information' to get the using information of the disk. The image as follows:

    You can get the clear information of the usage of the disk and finish your Settings.

 NOTES:

  • For the size of the edited and output image is big, we suggest the rest space of the disk is more than 4000mb, that assures the error won't occur.
  • If you want to resume the default Settings of the output Settings ,you can click the 'default Settings 'button on the Settings interface.


Length correction

5.5 Correction Settings

Click the 'Option' of the 'Setup' menu, the programme will open a dialog box of compositive settings, selecting the 'Correction' settings page, the figures as follows:

You can set the compensation value of the horizontal and vertical of the printer, if you've set the compensation value, when outputting, the program can revise the correction of the size automatically.

The settings method:

1.  Output one 1X1 image by UltraPrint.

2.  Measure the length and width of the image by staff guage.

3.  Input the measure result into the related output frame.

4.  Print the testing image, click the button, the program will print the 1x1 testing image to output directory automatically.

When Settings the parameters, you can choose the measure unit you are accustomed to. UltraPrint offers many length unit such as inch, mm, cm, m ,pica, point etc.

 NOTES:

  • You can output the 2X2 image. Fill the test size in horizontal and vertical then output , get the verity horizontal and vertical then fill it in the 'measures size' box.


Color Settings

Click ‘constitution' menu in of ‘options...' Menu item, the procedure will flick a comprehensive constitution open a dialog box, picking out 'output' constitution page, as follows diagram:

The information button of the choice hint will have a dialog box, as follows diagram:

    The meanings of information shows:

    1.  Image overflowed canvas will prompt me. When you check it, program will prompt user whether continue printing if the image overflow the canvas.

    2.  Overlap of image will prompt me. When you check it, program will prompt user whether continue printing if overlap of image happened on printing.

    3.  Different between ICC setup and PrintConfig.ini will prompt me. When you check it, the software will prompt user when to modify the difference between ICC setup and setup files at the start of software. Not checked, ICC option setup will be processed by means of the method program appointed.

    4.  Print finished, delete all temp files. When you check it, the temporary files will be deleted in the process of printing by program after print. Or else not deleted.

    5.  Auto release buffer space. When you check it, the occupied disk space will be released in time in the process of printing by program. Or else not release buffer space.

   Click default button, the setup information will be restored into default status by program.


Print settings

5.7 The high class establishes

    Click 'constitution' menu in of 'options...'Menu item, the procedure will flick a comprehensive constitution open a dialog box as follows diagram

The choice high class presses button like descend a dialog box, as follows diagram:

You can complete the related constitution in the deluxe constitution:

1. Color mode: The color that you choose corrects mode. The General Mode speed compares standard mode a processing speed sooner, correcting result also very good. I am general to choose normal regulations mode.

2. Density curve: Show the curve which adjusts for the choice. Canning choose curve can also choose amount of ink adjustment to carry on a modification to the curve. Choose amount of ink adjustment will like descend a dialog box: Referrence ' Print affirmance ' .

3.Iutput ICC: You can finish the related Settings of Iutput ICC.

RGB, you can choose the icc profile which was used when RGB color space is being input to transfer.

CMYK, you can choose the icc profile which was used when CMYK color space is being input to transfer.

GRAY, you can choose the icc profile which was used when gray color space is being input to transfer.

Check the 'Intend' open a dialog box as follows diagram :

4.Output ICC: Show to output the curve of the ICC for the adjustment. Can choose "pure color" button to carry on corresponding a curvilinear pure color a constitution. As follows diagram:

Here ,you can independently define the pure color output. Click the pure color activate button , and activate it's Settings. And you can input the output value in c, m, y, k, R, G, B, W,Settings frame. The program will transfer the pure color value automatically when you input the pure color image and assure the output effect of pure color.

In addition: you can set the pure color's scale, the program will accord your Settings value , consider the gray of certain gray percentage as the pure color value, the Settings scale should be from 0-10. only recommend the professional.

Update the pure color, click the button, the program will accord to the current Settings ,update the pure output value automatically, and the former pure color Settings will be lost. After you update icc profile output, please update pure color value.

    'Default': Click 'Default' button, the color will return to  primordial.

  NOTES:

  • All will influence to the modifications of the density curve and the exportation ICC in the deluxe constitution later of work, so the modification wants circumspect

  • The icc profile you choose must match the device, ink, print medium, print pass etc. the output result maybe differ from expected.

  • The pure color file is tight to the related output icc profile, when you update the icc profile, the program will automatically load the former set of pure color of it. If it has no pure color file before, the program will deal with it as the default value.


Addenda

The following is the addenda material of UltraPrint :

1.      Related term of UltraPrint

2.      The error code of UltraPrint

3.      UltraPrint running environment

4.      Customer Support

  Copyright© 2004-2006 Hosonsoft System Inc.


Related term of UltraPrint

Addenda A— Related term of UltraPrint

l The canvas item

You can use the program operation object by 'new' or 'open', that is 'canvas item', it is the basic of the image print.

l Canvas (item) file

Save to 'canvas item' to '.rpj' file

l Image status General status  Selected multi-images

There are three image status on the canvas: general status, selected status, activated status, the meaning are:

1.   General status: click the blank on the canvas, the status on the canvas will change to general status, there're no selected symbol around the image of general image, it won't react to any operation.

2.   Selected status: when you have Selected multi-images, you'll see eight black squares around the image, and other sides are all around eight hollow little squares, so the image around the hollow squares is the selected status. There are reacts to many input operations except Step & Repeat stick, image allot, redefine output size and some other operations.

3.   Activated status: When you've selected one or more images, you'll see eight black squares around the image, so it has been activated. It's special selected status, under this status, the image will react to any input operation.

l Overlap size

When dividing the image, the overlap part of the top dividing part and button dividing part.

l Output Resolution

Output Resolution is the guide line of the output precision of the printer, it's common unit is DPI (Dot Per Inch) ,for example:185x185 DPI, the bigger the value, the more precious is the output value, the better effect it will be.

l Ink combination

Ink combination is the description of the output color of a printer, for example : CMY, CMYK, CMYKLcLm etc.

l Output port

Output port indicates the output place of the image data after rip, the common outport is: FILE, COM, LPT, USB, TCP/IP

l ICC Profile

The color feature description file ,it's extension is icc or icm.


The error code of UltraPrint

Addenda B— The error code of UltraPrint

Code

Description

Comment

0

No error

Execute successfully

2

Not find the file

Maybe source file has been deleted or modified.

3

Not find the path

Maybe source file has been deleted or modified.

6

False sentence handle

False sentence handle, the possible reason is the curve which establishes at present is invalid

32

Another procedure is using this document, the progress can't visit

The procedure of being different from is carrying out this document, can't visit enough now

112

The disk space isn't enough

May be a disk space already full, please delete in that disk don't of the document replaces larger disk to used for depositing a temporary document perhaps
If your output's document is big in the 4 GBs, please confirm the document format of your disk as NTFS

113

Try to move index to the file head

 May be is contain special image floor
183 | Unable to create documents | File has been in existence

10053

In your main engine's software gave up one already connection which establishes

In your main engine's software gave up one already connection which establishes

10054

Do not send data by means of net port

Maybe the net wire is not inserted correctly or the link of sever has break.

10061

Do not link to net port normally

Maybe the net wire is not inserted correctly or the IP address/port are not setup correctly.

20001

The appointed file is bad image file

Maybe the source image file is bad.

20002

Do not identify the image format of the appointed file

Maybe UltraPrint do not support the object file.

20003

Not support the color space of this image format

Maybe UltraPrint do not support the color space of the object file.

20004

Rotate image failed

maybe less memory occurred or too many objects in one operation.

20005

Detach channels failed

Commonly indicates not enough memory

20006

Zoom image failed

Commonly indicates not enough memory

20007

Halftone image failed

Commonly indicates not enough memory

20008

Save image failed

Commonly indicates not enough memory

20009

Sharpen image failed

Commonly indicates not enough memory

20010

Pre-processing failed

Commonly indicates not enough memory

20011

The number of canvas has exceed the stated value

The number of canvas exceed the upper limit

20012

Not support this image format

UltraPrint do not support current processing image format.

20013

Decode image failed

UltraPrint do not support this type of encoding format.

20014

The size of image has exceed stated value

Maybe the size of current processed image has exceed percent of the range of canvas, please define the size of file again and do this operation.

20015

There is not enough canvas space

There is not enough canvas space. The operation of appointed numbers image pasting can't completed.

20016

The size of canvas has been modified

The size of canvas has been modified. Operation can't completed normally.

20017

Not support mirror status operation

Can't deal with mirror image, please transform it into non-mirror status and try again.

20018

The beginning starts to turn to print mode a mistake

May be because of want for relevant document, please re- start software, if still is wrong, re- install after pleasing unload software

20019

Print to have no picture inside district

It have no portrait in the effectively printing of the choice district

20101

Open file failed

Open file failed. Please restart UltraPrint and do this operation

20102

Setup file pointer failed

Setup file pointer failed. Please restart UltraPrint and do this operation

20103

Read file failed

Read file failed. Please restart UltraPrint and do this operation

20104

Write file failed

Please confirm there is enough disk space free. Then restart UltraPrint and do this operation

20105

Create temporary file failed

Create temporary file failed, Please restart UltraPrint and do this operation

20106

Not support file size

The size of file is invalid, please confirm the file is not bad

20107

Create preview file failed

Please confirm that the output port is file port and has setup right output path

20108

Write preview file failed

Please confirm there is enough disk space free. Then restart UltraPrint and do this operation

20109

Not support this file format provisionally

The canvas has not-supported file format, please transform it into supported format and try again

20110

Lack of relevant item print in INI files

Please confirm whether the current print setup of INI file is matching with current printer

20201

Enumerate encryption lock failed

Please confirm that the encryption lock has inserted. When the problem has been exist, please replace encryption lock

20202

Open encryption lock failed

Please confirm that the encryption lock has inserted. When the problem has been exist, please replace encryption lock

20203

Modify encryption lock path failed

Please confirm that the encryption lock has inserted. When the problem has been exist, please replace encryption lock

20204

Verify encryption lock failed

Please confirm that the encryption lock has inserted. When the problem has been exist, please replace encryption lock

20205

Execute encryption lock failed

Please confirm that the encryption lock has inserted. When the problem has been exist, please replace encryption lock

20206

Close encryption lock failed

Please confirm that the encryption lock has inserted. When the problem has been exist, please replace encryption lock

20207

Encrypt data failed

Commonly indicates not enough memory

20208

Un-encrypt data failed

Commonly indicates not enough memory

20301

Access system resource unlawfully

Commonly indicates not enough memory

20302

Enough memory

Commonly indicates not enough memory

20303

Create threads failed

Commonly indicates not enough memory

20304

Create event failed

Commonly indicates not enough memory

20305

Bind mapping files failed

Commonly indicates not enough memory

20306

Create mapping files failed

Commonly indicates not enough memory

20307

Close mapping files failed

Commonly indicates not enough memory

20308

Release mapping files failed

Commonly indicates not enough memory

20309

Can't find the appointed windows

please confirm the printing management set of UltraPrint has being opened

20401

Open input ICC failed

please confirm whether the appointed ICC Profile files exist in input ICC folder

20402

Open output ICC failed

please confirm whether the appointed ICC Profile files exist in output ICC folder

20403

Creating ICC transform failed

please confirm matching the number of output color with appointed ICC color numbers. i.e. you must use six color ICC to control outputing six color

20404

Transforming color space failed

please confirm matching the number of output color with appointed ICC color numbers. You can restart the UltraPrint and continue the same operation

20405

Not support current color transform mode

ICC transform for appointed color space
20501 | Not support this color mode now | Please make sure whether it's support the color or It's not matching file format
20502 | Initialize arithmetic template file failed | May be it's lost arithmelate of files or file mangle
20503 | File head coding failed | Maybe the decode file is not matching,please make sure the edition and try again
20504 | Data compress failed | Maybe the decode file is not matching,please make sure the edition and try again
20505 | File end coding failed | Maybe the decode file is not matching,please make sure the edition and try again
20506 | Create whithe data failed | Maybe the decode file is not matching,please make sure the edition and try again
20601 | Start printing error | Maybe the drive file is not matching,please make sure the edition and try again
20602 | Send data error | Maybe the drive file is not matching,please make sure the edition and try again
20603 | Stop printing error | Maybe the drive file is not matching,please make sure the edition and try again
20604 | Cancel printing error | Maybe the drive file is not matching,please make sure the edition and try again
20701 | Unkown printer type | Please add a new printer
-1 | Replacement combine port error | Combine port communication error,Restart the computer printer and try again
-2 | Get now status error | Combine port communication error,Restart the computer printer and try again
-3 | ECP initialize error | Combine port communication error,Restart the computer printer and try again
-4 | Setting buffer error | Combine port communication error,Restart the computer printer and try again
-200 | Setting time error | Combine port communication error,Restart the computer printer and try again


UltraPrint running environment

Addenda C — UltraPrint running environment

l The hardware environment

CPU: Pentium IV 2.0GHz or higher

Memory: 512MB or higher

Harddisk: the spare space should not be less than 10 GB

CD-Rom: 4X CD-ROM

l Operation system

Microsoft Windows 2000

Microsoft Windows XP Pro

Microsoft Windows 2003

 NOTES:

  • All the given configure in the hardware environment is the lowest configure, if you want to work more comfortably , we suggest that you upgrade your computer, especially add the content of the memory, which has more help to improving the work efficiency.
  • Windows It suggested that the UltraPrint software will not be install on the windows 9x OS because some function not supported for it.


Customer Support

Addenda D — Customer Support

If you meet problems when using our system, you can ask for help from 'online help' (press F1). If the problem can't be solved yet, you can ask for help through these two ways:

1、Inquire to the sales dealer.

2、Contact us directly through the following ways

    Http://www.hosonsoft.com

    E-mail:support@hosonsoft.com

           UltraPrint@163.com